Subject: Re: running gnu-win32 tools under another Unix-ported shell?
From: [email-masked] (Scott Blachowicz)

10 Jan 1998 05:49:10 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]
Cc: [email-masked]

[email-masked] (Christopher Faylor) wrote:

> >I'm sometimes using a port of zsh (not the one built with the cygwin
> >toolkit) and when I run the cygwin 'find' command, for instance, it acts
> >as if the 'find' command (in its crt0 or whatever?) is expanding globs
> >that it gets.  I don't want that to happen because my shell is already
> >doing that.  So, if I do this:
> >
> >    find . -name '*.cpp' -perm +222 -ls
> >
> >to find writeable .cpp files, I get this error:
> >
> >    /usr/bin/find.EXE: paths must precede expression
> >    Usage: /usr/bin/find.EXE [path...] [expression]
> >
> >How do the cygwin commands detect their parent & avoid the globbing stuff
> >when necessary if using the normal cygwin bash, for instance?  Any
> >suggestions?
> 
> If you are running the cygwin version of find, this should happen
> automatically.  I am running zsh here and I do this all the time.

Are you running the cygwin-built version of _zsh_?  I am not.

Scott Blachowicz
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".